package com.weiqi.mis.domain;

import java.util.Date;

public class WxXrPemsOrder {
    private Integer id;

    private String orderno;

    private Integer mid;

    private String mname;

    private Integer orderuserid;

    private String orderusername;

    private Date admissiontime;

    private Date constructionstarttime;

    private String platenumber;

    private String vin;

    private String registertime;

    private Float kilometers;

    private String drivinglicensesrc;

    private String vehiclesrc;

    private String vehicletype;

    private String linkname;

    private String linktel;

    private Integer gaugingschemeid;

    private String gaugingschemename;

    private Integer maintenanceschemeid;

    private String maintenanceschemename;

    private Integer brandid;

    private String brandname;

    private Integer seriesid;

    private String seriesname;

    private String productionyear;

    private String enginestructure;

    private Integer enginestructurenumber;

    private String electronicfueltype;

    private String transmissioncase;

    private String drivetype;

    private String emissionstandard;

    private Integer status;

    private Date createTime;

    private Date updateTime;

    private Integer wxXrPemsUserId;

    private Integer checkUpResult;

    private String wxXrPemsUserName;

    private String exhauststructure;

    private Integer factoryid;

    private String factoryname;

    private String vinContent;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno == null ? null : orderno.trim();
    }

    public Integer getMid() {
        return mid;
    }

    public void setMid(Integer mid) {
        this.mid = mid;
    }

    public String getMname() {
        return mname;
    }

    public void setMname(String mname) {
        this.mname = mname == null ? null : mname.trim();
    }

    public Integer getOrderuserid() {
        return orderuserid;
    }

    public void setOrderuserid(Integer orderuserid) {
        this.orderuserid = orderuserid;
    }

    public String getOrderusername() {
        return orderusername;
    }

    public void setOrderusername(String orderusername) {
        this.orderusername = orderusername == null ? null : orderusername.trim();
    }

    public Date getAdmissiontime() {
        return admissiontime;
    }

    public void setAdmissiontime(Date admissiontime) {
        this.admissiontime = admissiontime;
    }

    public Date getConstructionstarttime() {
        return constructionstarttime;
    }

    public void setConstructionstarttime(Date constructionstarttime) {
        this.constructionstarttime = constructionstarttime;
    }

    public String getPlatenumber() {
        return platenumber;
    }

    public void setPlatenumber(String platenumber) {
        this.platenumber = platenumber == null ? null : platenumber.trim();
    }

    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin == null ? null : vin.trim();
    }

    public String getRegistertime() {
        return registertime;
    }

    public void setRegistertime(String registertime) {
        this.registertime = registertime == null ? null : registertime.trim();
    }

    public Float getKilometers() {
        return kilometers;
    }

    public void setKilometers(Float kilometers) {
        this.kilometers = kilometers;
    }

    public String getDrivinglicensesrc() {
        return drivinglicensesrc;
    }

    public void setDrivinglicensesrc(String drivinglicensesrc) {
        this.drivinglicensesrc = drivinglicensesrc == null ? null : drivinglicensesrc.trim();
    }

    public String getVehiclesrc() {
        return vehiclesrc;
    }

    public void setVehiclesrc(String vehiclesrc) {
        this.vehiclesrc = vehiclesrc == null ? null : vehiclesrc.trim();
    }

    public String getVehicletype() {
        return vehicletype;
    }

    public void setVehicletype(String vehicletype) {
        this.vehicletype = vehicletype == null ? null : vehicletype.trim();
    }

    public String getLinkname() {
        return linkname;
    }

    public void setLinkname(String linkname) {
        this.linkname = linkname == null ? null : linkname.trim();
    }

    public String getLinktel() {
        return linktel;
    }

    public void setLinktel(String linktel) {
        this.linktel = linktel == null ? null : linktel.trim();
    }

    public Integer getGaugingschemeid() {
        return gaugingschemeid;
    }

    public void setGaugingschemeid(Integer gaugingschemeid) {
        this.gaugingschemeid = gaugingschemeid;
    }

    public String getGaugingschemename() {
        return gaugingschemename;
    }

    public void setGaugingschemename(String gaugingschemename) {
        this.gaugingschemename = gaugingschemename == null ? null : gaugingschemename.trim();
    }

    public Integer getMaintenanceschemeid() {
        return maintenanceschemeid;
    }

    public void setMaintenanceschemeid(Integer maintenanceschemeid) {
        this.maintenanceschemeid = maintenanceschemeid;
    }

    public String getMaintenanceschemename() {
        return maintenanceschemename;
    }

    public void setMaintenanceschemename(String maintenanceschemename) {
        this.maintenanceschemename = maintenanceschemename == null ? null : maintenanceschemename.trim();
    }

    public Integer getBrandid() {
        return brandid;
    }

    public void setBrandid(Integer brandid) {
        this.brandid = brandid;
    }

    public String getBrandname() {
        return brandname;
    }

    public void setBrandname(String brandname) {
        this.brandname = brandname == null ? null : brandname.trim();
    }

    public Integer getSeriesid() {
        return seriesid;
    }

    public void setSeriesid(Integer seriesid) {
        this.seriesid = seriesid;
    }

    public String getSeriesname() {
        return seriesname;
    }

    public void setSeriesname(String seriesname) {
        this.seriesname = seriesname == null ? null : seriesname.trim();
    }

    public String getProductionyear() {
        return productionyear;
    }

    public void setProductionyear(String productionyear) {
        this.productionyear = productionyear == null ? null : productionyear.trim();
    }

    public String getEnginestructure() {
        return enginestructure;
    }

    public void setEnginestructure(String enginestructure) {
        this.enginestructure = enginestructure == null ? null : enginestructure.trim();
    }

    public Integer getEnginestructurenumber() {
        return enginestructurenumber;
    }

    public void setEnginestructurenumber(Integer enginestructurenumber) {
        this.enginestructurenumber = enginestructurenumber;
    }

    public String getElectronicfueltype() {
        return electronicfueltype;
    }

    public void setElectronicfueltype(String electronicfueltype) {
        this.electronicfueltype = electronicfueltype == null ? null : electronicfueltype.trim();
    }

    public String getTransmissioncase() {
        return transmissioncase;
    }

    public void setTransmissioncase(String transmissioncase) {
        this.transmissioncase = transmissioncase == null ? null : transmissioncase.trim();
    }

    public String getDrivetype() {
        return drivetype;
    }

    public void setDrivetype(String drivetype) {
        this.drivetype = drivetype == null ? null : drivetype.trim();
    }

    public String getEmissionstandard() {
        return emissionstandard;
    }

    public void setEmissionstandard(String emissionstandard) {
        this.emissionstandard = emissionstandard == null ? null : emissionstandard.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getWxXrPemsUserId() {
        return wxXrPemsUserId;
    }

    public void setWxXrPemsUserId(Integer wxXrPemsUserId) {
        this.wxXrPemsUserId = wxXrPemsUserId;
    }

    public Integer getCheckUpResult() {
        return checkUpResult;
    }

    public void setCheckUpResult(Integer checkUpResult) {
        this.checkUpResult = checkUpResult;
    }

    public String getWxXrPemsUserName() {
        return wxXrPemsUserName;
    }

    public void setWxXrPemsUserName(String wxXrPemsUserName) {
        this.wxXrPemsUserName = wxXrPemsUserName == null ? null : wxXrPemsUserName.trim();
    }

    public String getExhauststructure() {
        return exhauststructure;
    }

    public void setExhauststructure(String exhauststructure) {
        this.exhauststructure = exhauststructure == null ? null : exhauststructure.trim();
    }

    public Integer getFactoryid() {
        return factoryid;
    }

    public void setFactoryid(Integer factoryid) {
        this.factoryid = factoryid;
    }

    public String getFactoryname() {
        return factoryname;
    }

    public void setFactoryname(String factoryname) {
        this.factoryname = factoryname == null ? null : factoryname.trim();
    }

    public String getVinContent() {
        return vinContent;
    }

    public void setVinContent(String vinContent) {
        this.vinContent = vinContent == null ? null : vinContent.trim();
    }
}